Hello,

I'm trying to create "edges" made of lines so I can display them in OpenGL
ES 2.0.  Basically, I want to triangulate the edge splines into (x, y, z)
coordinates so I can approximate them with lines.  However, I'm having
trouble figuring out exactly how I would go about doing this.  I'm using
QuickMesh to make the triangles, vertexes, normals, etc. for display right
now, but I can't find something similar for the edges.  I believe I have to
generate wires?

I found this big of code:

def make_edge(shape):
    spline = BRepBuilderAPI_MakeEdge(shape)
    spline.Build()
    return spline.Shape()

Is this the first step?  Thank you for all of your help and for the
wonderful tool.

Regards,

Benjamin Turner
bpltur...@gatech.edu
_______________________________________________
Pythonocc-users mailing list
Pythonocc-users@gna.org
https://mail.gna.org/listinfo/pythonocc-users

Reply via email to